Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.databinding
Class EMFFormsDatabindingImpl_Test

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.databinding.EMFFormsDatabindingImpl_Test

    public class EMFFormsDatabindingImpl_Test

extends Object

This JUnit test tests the correct functionality of `EMFFormsDatabindingImpl`.

Author:
  Lucas Koehler

Constructor Summary
`EMFFormsDatabindingImpl_Test()`

Method Summary
`void` | `setUp()` Set up that is executed before every test.
`void` | `tearDown()`
`void` | `testGetListPropertyAllConsidered()` Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` .
`void` | `testGetListPropertyNoApplicableConverter()` Test method for `EMFFormsDatabindingImpl.getListProperty(VDomainModelReference,EObject)` .
`void` | `testGetListPropertyNull()` Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` .
`void` | `testGetListPropertyOneApplicable()` Test method for `EMFFormsDatabindingImpl.getListProperty(VDomainModelReference,EObject)` .
`void` | `testGetListPropertyTwoApplicable()` Test method for `EMFFormsDatabindingImpl.getListProperty(VDomainModelReference,EObject)` .
`void` | `testGetObservableList()` Test method for `EMFFormsDatabindingImpl.getObservableList(VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetObservableListNullBoth()` Test method for `EMFFormsDatabindingImpl.getObservableList(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetObservableListNullDomainModelReference()` Test method for `EMFFormsDatabindingImpl.getObservableList(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetObservableListNullObject()` Test method for `EMFFormsDatabindingImpl.getObservableList(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetObservableValue()` Test method for `EMFFormsDatabindingImpl.getObservableValue(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetObservableValueNullBoth()` Test method for `EMFFormsDatabindingImpl.getObservableValue(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetObservableValueNullDomainModelReference()` Test method for `EMFFormsDatabindingImpl.getObservableValue(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetObservableValueNullObject()` Test method for `EMFFormsDatabindingImpl.getObservableValue(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetValuePropertyAllConsidered()` Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` .
`void` | `testGetValuePropertyNoApplicableConverter()` Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` .
`void` | `testGetValuePropertyNull()` Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` .
`void` | `testGetValuePropertyOneApplicable()` Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` .
`void` | `testGetValuePropertyTwoApplicable()` Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` .
`void` | `testRemoveDomainModelReferenceConverter()` Test method for `EMFFormsDatabindingImpl.removeDomainModelReferenceConverter(org.eclipse.emfforms.spi.core.services.databinding.DomainModelReferenceConverter)` .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsDatabindingImpl_Test

    public EMFFormsDatabindingImpl_Test()

Method Detail

### setUp

    public void setUp()

  Set up that is executed before every test.

### tearDown

    public void tearDown()

### testGetObservableValue

    public void testGetObservableValue()
                                throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getObservableValue(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetObservableValueNullBoth

    public void testGetObservableValueNullBoth()
                                        throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getObservableValue(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

  Tests whether the method returns the correct result for both arguments being null.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetObservableValueNullDomainModelReference

    public void testGetObservableValueNullDomainModelReference()
                                                        throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getObservableValue(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

  Tests whether the method returns the correct result for the VDomainModelReference argument being null.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetObservableValueNullObject

    public void testGetObservableValueNullObject()
                                          throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getObservableValue(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

  Tests whether the method returns the correct result for the EObject argument being null.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetValuePropertyNoApplicableConverter

    public void testGetValuePropertyNoApplicableConverter()
                                                   throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetValuePropertyOneApplicable

    public void testGetValuePropertyOneApplicable()
                                           throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` . Tests whether the correct converter is used when one is applicable and one is not.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetValuePropertyTwoApplicable

    public void testGetValuePropertyTwoApplicable()
                                           throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` . Tests whether the correct converter is used when there are two applicable ones with different priorities. Also tests whether the correct result is returned.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetValuePropertyAllConsidered

    public void testGetValuePropertyAllConsidered()
                                           throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` . Tests whether the `EMFFormsDatabindingImpl` considers all `DomainModelReferenceConverter`s, that are registered to it, for its conversions.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetValuePropertyNull

    public void testGetValuePropertyNull()
                                  throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` .

  Tests whether the method returns the correct result for a null argument.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetObservableList

    public void testGetObservableList()
                               throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getObservableList(VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetObservableListNullBoth

    public void testGetObservableListNullBoth()
                                       throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getObservableList(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

  Tests whether the method returns the correct result for both arguments being null.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetObservableListNullDomainModelReference

    public void testGetObservableListNullDomainModelReference()
                                                       throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getObservableList(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

  Tests whether the method returns the correct result for the VDomainModelReference argument being null.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetObservableListNullObject

    public void testGetObservableListNullObject()
                                         throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getObservableList(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

  Tests whether the method returns the correct result for the EObject argument being null.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetListPropertyNoApplicableConverter

    public void testGetListPropertyNoApplicableConverter()
                                                  throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetListPropertyOneApplicable

    public void testGetListPropertyOneApplicable()
                                          throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getListProperty(VDomainModelReference,EObject)` . Tests whether the correct converter is used when one is applicable and one is not.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetListPropertyTwoApplicable

    public void testGetListPropertyTwoApplicable()
                                          throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getListProperty(VDomainModelReference,EObject)` . Tests whether the correct converter is used when there are two applicable ones with different priorities. Also tests whether the correct result is returned.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetListPropertyAllConsidered

    public void testGetListPropertyAllConsidered()
                                          throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` . Tests whether the `EMFFormsDatabindingImpl` considers all `DomainModelReferenceConverter`s, that are registered to it, for its conversions.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testGetListPropertyNull

    public void testGetListPropertyNull()
                                 throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.getValueProperty(VDomainModelReference,EObject)` .

  Tests whether the method returns the correct result for a null argument.

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testRemoveDomainModelReferenceConverter

    public void testRemoveDomainModelReferenceConverter()
                                                 throws DatabindingFailedException

  Test method for `EMFFormsDatabindingImpl.removeDomainModelReferenceConverter(org.eclipse.emfforms.spi.core.services.databinding.DomainModelReferenceConverter)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.